Subject: kernel memory map/usage/holes?

From: "Chris Friesen" <[email-masked]>
Date: Mon, 17 Jul 2006 14:06:57 -0600

I've got a Maple board with 4GB of memory running a modified 2.6.10 
kernel.  When it boots, I see the following in the logs:

Top of RAM: 0x180000000, Total RAM: 0x100000000
On node 0 totalpages: 1048576
   DMA zone: 1048576 pages, LIFO batch:16
   Normal zone: 0 pages, LIFO batch:1
   HighMem zone: 0 pages, LIFO batch:1

Then a bit later, I see:

Memory: 4006976k/6291456k available (3408k kernel code, 2284124k 
reserved, 1656k data, 448k bss, 220k init)

1048576 pages works out to 4194304kB, so what happened to the 187328kB 
that is the difference between the "Total RAM" and "Memory:" lines? 
We've got an app that wants as much memory as possible, so I need to 
explain where this 183MB of memory is being used.

Thanks,

Chris